mob	//Your list of currency - Gold, Silver and Copper
	var/list/Currency = list("gold" = 10,"silver" = 10,"copper" = 10)

	proc
	//Update your Currency
		currencyUpdate(_Op,_Go,_Si,_Co)
			switch(_Op)
				//Add to Currency
				if("plus")
					Currency["gold"] += _Go
					Currency["silver"] += _Si
					Currency["copper"] += _Co
				//Subtract from Currency
				if("minus")
					//Ensure you have enough before Subtracting
					var/tmp
						totalRemove = (_Co)+(_Si*100)+(_Go*10000)
						totalContained = (Currency["copper"])+(Currency["silver"]*100)+(Currency["gold"]*10000)
					if(totalRemove > totalContained)
						src << "You do not have that much currency"
						return
					//If you have enough, continue with the process
					Currency["gold"] -= _Go
					Currency["silver"] -= _Si
					Currency["copper"] -= _Co
				//Error Message
				else
					src << "Incorrect operator, please use only \"plus\" or \"minus\"."
					return
			//This sorts out your Currency so you can only have a maximum
			//of 99 Copper and 99 Silver
			var/tmp/c = round(Currency["copper"]/100)

			Currency["copper"] -= c*100
			Currency["silver"] += c

			var/tmp/s = round(Currency["silver"]/100)

			Currency["silver"] -= s*100
			Currency["gold"] += s

			//Keeps Currency out of the negative values
			if(Currency["gold"]<0)
				Currency["gold"] = 0
				Currency["silver"] = 0
				Currency["copper"] = 0
			if(Currency["silver"]<0) Currency["silver"] = 0
			if(Currency["copper"]<0) Currency["copper"] = 0


